Bug 23483 - When writing off a fine, the title of the patron is shown as description
Summary: When writing off a fine, the title of the patron is shown as description
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-21 11:18 UTC by Katrin Fischer
Modified: 2019-12-10 22:49 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23483: Show the description, not the patron's title when writing off an individual fine/fee (1.72 KB, patch)
2019-11-03 23:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23483: Show the description, not the patron's title when writing off an individual fine/fee (1.86 KB, patch)
2019-11-04 10:21 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23483: Show the description, not the patron's title when writing off an individual fine/fee (1.93 KB, patch)
2019-11-06 16:45 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-08-21 11:18:16 UTC
When writing of an individual fine or fee, the description column shows the title of the patron (mr, mrs, borrowers.title).

Could this be a variable confusion? (Record title vs. patron title?)

So far confirmed in latest 18.11.
Comment 1 Katrin Fischer 2019-11-03 22:43:51 UTC
Confirmed on master now as well.

To test:
- Make sure that in the account you use a saluation is set (Mr Mrs...)
- Create a manual fine
- Pay or Writeoff the fine using the buttons next to the fine (not at the bottom)
- Look at the description shown before saving
Comment 2 Katrin Fischer 2019-11-03 22:44:09 UTC
(In reply to Katrin Fischer from comment #1)
> Confirmed on master now as well.
> 
> To test:
> - Make sure that in the account you use a saluation is set (Mr Mrs...)
> - Create a manual fine
> - Pay or Writeoff the fine using the buttons next to the fine (not at the
> bottom)
> - Look at the description shown before saving

It only happens for writeoff.
Comment 3 Katrin Fischer 2019-11-03 23:03:57 UTC
Created attachment 94986 [details] [review]
Bug 23483: Show the description, not the patron's title when writing off an individual fine/fee

When writing off an individual fine, the description shown
was the patron's title, instead of the fine description.
Fixing it by changing it to the same template variable used for
paying individuals so they match up.

To test:
- Pick a patron and make sure salutation is set (Mr, Mrs, ...)
- Create a manual fine
- For the fine, compare the description shown when using the Writeoff
  and Pay buttons next to the fine
- Verify the display is different and writeoff displays the salutation
- Apply patch
- Repeat, descriptions now should match up
Comment 4 Séverine Queune 2019-11-04 10:21:40 UTC
Created attachment 94992 [details] [review]
Bug 23483: Show the description, not the patron's title when writing off an individual fine/fee

When writing off an individual fine, the description shown
was the patron's title, instead of the fine description.
Fixing it by changing it to the same template variable used for
paying individuals so they match up.

To test:
- Pick a patron and make sure salutation is set (Mr, Mrs, ...)
- Create a manual fine
- For the fine, compare the description shown when using the Writeoff
  and Pay buttons next to the fine
- Verify the display is different and writeoff displays the salutation
- Apply patch
- Repeat, descriptions now should match up

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Katrin Fischer 2019-11-04 21:42:42 UTC
Thank you Severine!
Comment 6 Martin Renvoize 2019-11-06 16:45:33 UTC
Created attachment 95116 [details] [review]
Bug 23483: Show the description, not the patron's title when writing off an individual fine/fee

When writing off an individual fine, the description shown
was the patron's title, instead of the fine description.
Fixing it by changing it to the same template variable used for
paying individuals so they match up.

To test:
- Pick a patron and make sure salutation is set (Mr, Mrs, ...)
- Create a manual fine
- For the fine, compare the description shown when using the Writeoff
  and Pay buttons next to the fine
- Verify the display is different and writeoff displays the salutation
- Apply patch
- Repeat, descriptions now should match up

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-11-06 16:46:10 UTC
Trivial patch works as expected.. passing qa
Comment 8 Martin Renvoize 2019-11-06 17:10:22 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Katrin Fischer 2019-12-06 09:48:33 UTC
We found this in 18.11 - please backport! :)
Comment 10 Lucas Gass 2019-12-10 22:49:03 UTC
backported to 19.05.x for 19.05.06